.chart-group {
    //display: flex;
    //flex-direction: column;
    //row-gap: rem(20);
    //column-gap: rem(20);
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 40%;
    }

    @include media-breakpoint-up(xxl) {
        grid-template-columns: 1fr 36.4%;
    }
}

.chart-box {
    padding: rem(24);
    background: white;
    border-radius: rem(20);

    &__header {
        margin-bottom: rem(36);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__title {
        font-weight: 500;
        font-size: rem(18);
        line-height: 140%;
    }

    &__doughnut {
        padding-top: rem(20);
        margin:  0 auto;
        max-width: rem(260);
    }

    &__legend {
        margin-top: rem(32);
        display: flex;
        flex-direction: column;
        row-gap: rem(22);
    }

    @include media-breakpoint-up(md) {

        &__title {
            font-size: rem(24);
            line-height: 140%;
        }
    }
}

.chart-legend {
    font-size: rem(14);
    line-height: rem(20);
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: rem(4);

    &__title {
        z-index: 5;
        white-space: nowrap;
        color: #515053;
        background: white;
        position: relative;
        display: flex;
        align-items: center;
        column-gap: rem(14);
    }

    &__color {
        width: rem(16);
        height: rem(16);
        flex-shrink: 0;
        display: block;
        border-radius: 50%;
    }

    &__value {
        min-width: rem(40);
        text-align: right;
        font-weight: 500;
        color: var(--black);
        background: white;
    }

    &__line {
        flex-grow: 1;
        height: 1px;
        background: #F5F5F5;
    }
}

.chart-doughnut {
    width: 120px;
    height: 120px;
    flex-shrink: 0;
    position: relative;

    &__main {
        width: 120px;
        height: 120px;
    }

    &__labels {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        text-align: center;
        row-gap: rem(40);
        font-size: rem(14);
        line-height: 1;
        position: absolute;
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
    }

    &__value {
        font-weight: 500;
        font-size: rem(18);
        line-height: rem(18);
        margin-bottom: 1px;
    }

    &__delta {
        font-size: rem(14);
        line-height: rem(14);
    }

    @include media-breakpoint-up(md) {
        width: 210px;
        height: 210px;

        &__main {
            width: 210px;
            height: 210px;
        }

    }
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
